UsageType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface UsageType

-     public interface UsageType

  Implement this interface to access unique identifiers describing the way that a package is used. This interface is also used to seed the define the extendible enumeration `UsageType`.

  The built-in usage codes are specified in the AAF edit protocol.

  See Also:
    `ExtendibleEnumerationItem`, `TypeDefinitionExtendibleEnumeration`, `Package.getPackageUsage()`, `Warehouse.lookupExtendibleEnumeration(String)`, `TypeDefinitions.UsageType`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `AdjustedClip` Package is a composition package used as an adjusted clip, where an effect is applied directly to a clip and applies to all uses of that clip, e.g.
    `static AUID` | `LowerLevel` Package is a composition package used as a lower-level composition, which specifies a composition that is referenced by another composition in a file.
    `static AUID` | `SubClip` Package is a composition package used as a sub-clip, where a section of a clip is identified and thereafter treated in the user interface as an additional clip.
    `static AUID` | `Template` Package is a material package with no sources.
    `static AUID` | `TopLevel` Package is a composition package used as a top-level composition, which specifies a composition that is not referenced by another composition in a file.

- - ### Field Detail

    - #### SubClip

          @ExtendibleEnumerationItem(target="Usage")
          static final AUID SubClip

      Package is a composition package used as a sub-clip, where a section of a clip is identified and thereafter treated in the user interface as an additional clip.

    - #### AdjustedClip

          @ExtendibleEnumerationItem(target="Usage")
          static final AUID AdjustedClip

      Package is a composition package used as an adjusted clip, where an effect is applied directly to a clip and applies to all uses of that clip, e.g. an audio gain effect.

    - #### TopLevel

          @ExtendibleEnumerationItem(target="Usage")
          static final AUID TopLevel

      Package is a composition package used as a top-level composition, which specifies a composition that is not referenced by another composition in a file.

    - #### LowerLevel

          @ExtendibleEnumerationItem(target="Usage")
          static final AUID LowerLevel

      Package is a composition package used as a lower-level composition, which specifies a composition that is referenced by another composition in a file.

    - #### Template

          @ExtendibleEnumerationItem(target="Usage")
          static final AUID Template

      Package is a material package with no sources.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.